Subject: [DNSOP] Fwd: New Version Notification for draft-ietf-dnsop-attrleaf-09.txt

From: Dave Crocker <[email-masked]>
Date: Tue, 22 May 2018 12:07:28 -0700

Folks,

Apologies for posting a revision this fast, but since I've suggested 
Last Call, I wanted to get this delta into the mix:

Just had folk working on a spec ask what text they should use in their 
document, to register entries in the table.  The section I've added to 
the base Attrleaf draft is drawn from the template used in the 'fix' 
document.

d/

-------- Forwarded Message --------
Subject: New Version Notification for draft-ietf-dnsop-attrleaf-09.txt
Date: Tue, 22 May 2018 12:05:11 -0700
From: [email-masked]
To: Dave Crocker <[email-masked]>

A new version of I-D, draft-ietf-dnsop-attrleaf-09.txt
has been successfully submitted by Dave Crocker and posted to the
IETF repository.

Name:		draft-ietf-dnsop-attrleaf
Revision:	09
Title:		DNS Scoped Data Through '_Underscore' Naming of Attribute Leaves
Document date:	2018-05-22
Group:		dnsop
Pages:		11
URL: 
https://www.ietf.org/internet-drafts/draft-ietf-dnsop-attrleaf-09.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-dnsop-attrleaf/
Htmlized:       https://tools.ietf.org/html/draft-ietf-dnsop-attrleaf-09
Htmlized: 
https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-attrleaf
Diff: 
https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-attrleaf-09

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: "John Levine" <[email-masked]>
Date: 23 May 2018 19:11:40 -0400

I took a look at -attrleaf and -attrleaf-fix and the both look good to me.

The language about parent names is correct but a little confusing.  If
I can figure out a less confusing way to reword it I'll pass it along.

R's,
John
-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Dave Crocker <[email-masked]>
Date: Thu, 24 May 2018 20:14:07 -0700

> I can figure out a less confusing way to reword it I'll pass it along.

Since it seems to be the only place with the string "parent name", I 
assume you mean:

> Scaling Benefits
> ...
> An
> increasingly-popular approach, with excellent scaling properties,
>  places the RRset under a node having an underscore-based name, at
>  a defined place in the DNS tree under the 'parent' name. This
>  constrains the use of particular <spanx style="verb">RR</spanx>
>  types associated with that parent name. 

How about:

An
increasingly-popular approach, with excellent scaling properties,
places the RRset under a specially-name branch, which is in turn under 
the node name that would otherwise contain the RRset.  The rules for 
naming that branch define the context for interpreting the RRset.  That 
is, rather than:

     domain-name.example
          /
        RRset

the arrangement is:

     _branch.domain-name.example
       /
     RRset

d/

---

From: "John R Levine" <[email-masked]>
Date: 25 May 2018 10:24:34 -0400

Yes, that's better.

nit: specially-name -> specially named

On Thu, 24 May 2018, Dave Crocker wrote:

> Since it seems to be the only place with the string "parent name", I assume 
> you mean:
>
>>  Scaling Benefits
>>  ...
>>  An
> places the RRset under a specially-name branch, which is in turn under the 
> node name that would otherwise contain the RRset.  The rules for naming that 
> branch define the context for interpreting the RRset.  That is, rather than:
>
>     domain-name.example
>          /
>        RRset
>
> the arrangement is:
>

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly